.field {
  width: 100%;
  padding: 1.375rem 1rem 0.625rem;
  box-sizing: border-box;

  border: 1px solid $secondary-color;
  border-radius: 0.25rem;

  @include font(1.1875rem, #e0e0e0, 300);
  line-height: 1.2;

  box-shadow: 0px 0.25rem 0.9375rem rgba(0, 0, 0, 0.3);
  background-color: transparentize($color: $primary-color, $amount: 0.8);

  &__wrapper {
    position: relative;
    padding-bottom: 0.3rem;
    width: 18.75rem;
  }

  // FIELD LABEL

  &__label {
    position: absolute;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
    @include font(1.1875rem, #e0e0e0, 300);
    line-height: 1.2;

    transition: $transition;
  }

  &:focus ~ .field__label,
  &:not(:focus):not(:placeholder-shown):not(.select) ~ .field__label {
    @extend %up-field-label;
  }

  // FIELD ERROR
  &__error {
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translateY(100%);
    @include font(0.75rem, $error-color, 300);
  }

  // FIELD ICON

  &__icon {
    position: absolute;
    @include size(1.5rem, 1.5rem);
    object-fit: contain;

    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
  }

  &__icon ~ .field {
    padding-left: 3.125rem;
  }

  &__icon ~ .field__label {
    left: 3.125rem;
  }

  // FIELD HOVER

  &:hover {
    border-color: $accent-color;

    transition: $transition;
  }

  // FIELD FOCUS

  &:focus {
    background-color: transparentize($color: $primary-color, $amount: 0.6);
    border-color: $accent-color;

    transition: $transition;
  }
}
